Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.controls
Class JUTestFrame

`java.lang.Object
java.awt.Component
java.awt.Container
java.awt.Window
java.awt.Frame
javax.swing.JFrame
oracle.jbo.uicli.controls.JUTestFrame`

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, javax.swing.RootPaneContainer, java.io.Serializable, javax.swing.WindowConstants

public class JUTestFrame
extends javax.swing.JFrame

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JFrame
`javax.swing.JFrame.AccessibleJFrame`

Nested classes inherited from class java.awt.Frame
`java.awt.Frame.AccessibleAWTFrame`

Nested classes inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`static int` | `MNEMONIC_INDEX_NONE`

Fields inherited from class javax.swing.JFrame
`accessibleContext, EXIT_ON_CLOSE, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`JUTestFrame(JUPanelBinding designTimePanelBinding, javax.swing.JPanel panel)`
`JUTestFrame(java.lang.String cpxName, java.lang.String dcName, JUPanelBinding panelBinding, javax.swing.JInternalFrame panel)`
`JUTestFrame(java.lang.String cpxName, java.lang.String dcName, JUPanelBinding panelBinding, javax.swing.JPanel panel)`

Method Summary
`oracle.adf.model.BindingContext` | `getBindingContext()`
`DCDataControl` | `getDataControl()`
`int` | `getMnemonicKeyCode(java.lang.String string)` Returns the key code for the mnemonic in the string.
`void` | `setJInternalProperties(javax.swing.JInternalFrame jpanel)`
`static oracle.adf.model.BindingContext` | `startTestFrame(java.lang.String cpxName, java.lang.String dcName, javax.swing.JInternalFrame panel, JUPanelBinding panelBinding, java.awt.Dimension size)`
`static oracle.adf.model.BindingContext` | `startTestFrame(java.lang.String cpxName, java.lang.String dcName, javax.swing.JPanel panel, JUPanelBinding panelBinding, java.awt.Dimension size)`
`java.lang.String` | `stripMnemonic(java.lang.String string)` Removes non-displayable inline mnemonic characters.
`static void` | `testJClientPanel(javax.swing.JPanel panel, JUPanelBinding designTimePanelBinding, java.awt.Dimension size)`

Methods inherited from class javax.swing.JFrame
`addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Frame
`addNotify, finalize, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setCursor, setExtendedState, setIconImage, setMaximizedBounds, setMenuBar, setResizable, setState, setTitle, setUndecorated`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, hide, isActive, isFocusableWindow, isFocusCycleRoot, isFocused, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationRelativeTo, show, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.MenuContainer
`getFont, postEvent`

Field Detail

### MNEMONIC_INDEX_NONE

    public static final int MNEMONIC_INDEX_NONE

  See Also:
    Constant Field Values

Constructor Detail

### JUTestFrame

    public JUTestFrame(JUPanelBinding designTimePanelBinding,
                       javax.swing.JPanel panel)

### JUTestFrame

    public JUTestFrame(java.lang.String cpxName,
                       java.lang.String dcName,
                       JUPanelBinding panelBinding,
                       javax.swing.JPanel panel)

### JUTestFrame

    public JUTestFrame(java.lang.String cpxName,
                       java.lang.String dcName,
                       JUPanelBinding panelBinding,
                       javax.swing.JInternalFrame panel)

Method Detail

### startTestFrame

    public static oracle.adf.model.BindingContext startTestFrame(java.lang.String cpxName,
                                                                 java.lang.String dcName,
                                                                 javax.swing.JPanel panel,
                                                                 JUPanelBinding panelBinding,
                                                                 java.awt.Dimension size)

### startTestFrame

    public static oracle.adf.model.BindingContext startTestFrame(java.lang.String cpxName,
                                                                 java.lang.String dcName,
                                                                 javax.swing.JInternalFrame panel,
                                                                 JUPanelBinding panelBinding,
                                                                 java.awt.Dimension size)

### setJInternalProperties

    public void setJInternalProperties(javax.swing.JInternalFrame jpanel)

### getDataControl

    public DCDataControl getDataControl()

### getBindingContext

    public oracle.adf.model.BindingContext getBindingContext()

### testJClientPanel

    public static void testJClientPanel(javax.swing.JPanel panel,
                                        JUPanelBinding designTimePanelBinding,
                                        java.awt.Dimension size)

### getMnemonicKeyCode

    public int getMnemonicKeyCode(java.lang.String string)

  Returns the key code for the mnemonic in the string. Returns VK_UNDEFINED if the string does not contain a mnemonic.

### stripMnemonic

    public java.lang.String stripMnemonic(java.lang.String string)

  Removes non-displayable inline mnemonic characters.

  In order to specify a mnemonic character in a translatable string (eg. in a resource file), a special character is used to indicate which character in the string should be treated as the mnemonic. This method assumes that an ampersand ('&') character is used as the mnemonic indicator, and removes (single) ampersands from the input string. A double ampersand sequence is used to indicate that an ampersand should actually appear in the output stream, in which case one of the ampersands is removed.

  Clients should call this method after calling StringUtils.getMnemonicIndex() and before displaying the string. The returned string should be used in place of the input string when displaying the string to the end user. The returned string may be the same as the input string if no mnemonic indicator characters are found, but this is not guaranteed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.